petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSpaceSetType

Builds a particular PetscSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetType(PetscSpace sp, PetscSpaceType name)

Collective on PetscSpace Many br

### Input Parameters

| sp | - The PetscSpace object Many br
| name | - The kind of space Many br

### Options Database Key

-petscspace_type <type> -Sets the PetscSpace type; use -help for a list of available types Many br

Many br

### Keywords

PetscSpace, set, type

### See Also

PetscSpaceGetType(), PetscSpaceCreate()

Level:intermediate
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages